# Amazon CloudFormation SDK

> _Warning:_ This is an experimental preview release which is still under heavy development and not intended for public consumption, _caveat emptor_!

* [Description](#description)
* [Contribute](#contribute)
* [Licence](#licence)

## Description

AWS CloudFormation gives developers and systems administrators an easy way to
create and manage a collection of related AWS resources, provisioning and
updating them in an orderly and predictable fashion. You can use AWS
CloudFormation’s sample templates or create your own templates to describe
the AWS resources, and any associated dependencies or runtime parameters,
required to run your application. You don’t need to figure out the order for
provisioning AWS services or the subtleties of making those dependencies
work. CloudFormation takes care of this for you. After the AWS resources are
deployed, you can modify and update them in a controlled and predictable way,
in effect applying version control to your AWS infrastructure the same way
you do with your software.

Documentation is available via [Hackage](http://hackage.haskell.org/package/amazonka-cloudformation)
and the [AWS API Reference](http://docs.aws.amazon.com/AWSCloudFormation/latest/APIReference/Welcome.html).


## Contribute

For any problems, comments, or feedback please create an issue [here on GitHub](https://github.com/brendanhay/amazonka/issues).

> _Note:_ this library is an auto-generated Haskell package. Please see `amazonka-gen` for more information.


## Licence

`amazonka-cloudformation` is released under the [Mozilla Public License Version 2.0](http://www.mozilla.org/MPL/).

Parts of the code are derived from AWS service descriptions, licensed under Apache 2.0.
Source files subject to this contain an additional licensing clause in their header.
